<?php 

namespace App\ModelFilters;

use EloquentFilter\ModelFilter;

class RequirementFilter extends ModelFilter
{
    /**
    * Related Models that have ModelFilters as well as the method on the ModelFilter
    * As [relationMethod => [input_key1, input_key2]].
    *
    * @var array
    */
    public $relations = [];

    public function apply($query)
    {
        return $query;
    }

    public function assetId($assetId){
        return $this->where('asset_id',$assetId);
    }

    public function groupId($groupId){
        return $this->where('requirement_group_id',$groupId);
    }

}
